.header {
  position: fixed;
  top: 0;
  background: #000;
  opacity: 0.8;
  width: 100%;
  transition: background-color 0.58s, opacity 0.58s ease-in-out;
  z-index: 99999;

  &__container {
    position: relative;
    display: block;
    margin: 0 auto;
    max-width: rem(1000);
    min-width: 320px;
    @include dflex(center, wrap, space-between);
    padding: rem(0) rem(15);
  }

  &__burger {
    width: rem(25);
    height: rem(25);
    transform: translate(0, -9px);
    z-index: 99;
  }

  &__end {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
}

.header.is-active {
  background: $c-black;
  opacity: 1;
}

@include mmax($pad) {
  .header {
    padding: rem(10) 0;
  }
}
